CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3467

Multiple unspecified vulnerabilities in the DER decoder in GNU Libtasn1 before 3.6, as used in GnutTLS, allow remote attackers to cause a denial of service (out-of-bounds read) via crafted ASN.1 data.
Publish Date : 2014-06-05 Last Update Date : 2014-11-13
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
DSA-3056-1 libtasn1-3 - security update oval:org.mitre.oval:def:27230 unix
ELSA-2014-0594 -- gnutls security update (important) oval:org.mitre.oval:def:27012 unix
ELSA-2014-0596 -- libtasn1 security update (moderate) oval:org.mitre.oval:def:27099 unix
ELSA-2014-0687 -- libtasn1 security update (moderate) oval:org.mitre.oval:def:27097 unix
ELSA-2014:0594: gnutls security update (Important) oval:org.mitre.oval:def:24517 unix
ELSA-2014:0596: libtasn1 security update (Moderate) oval:org.mitre.oval:def:25168 unix
RHSA-2014:0594: gnutls security update (Important) oval:org.mitre.oval:def:24734 unix
RHSA-2014:0594: gnutls security update (Important) oval:com.redhat.rhsa:def:20140594 unix
RHSA-2014:0596: libtasn1 security update (Moderate) oval:org.mitre.oval:def:23897 unix
RHSA-2014:0596: libtasn1 security update (Moderate) oval:com.redhat.rhsa:def:20140596 unix
RHSA-2014:0687: libtasn1 security update (Moderate) oval:com.redhat.rhsa:def:20140687 unix
RHSA-2014:0687: libtasn1 security update (Moderate) oval:org.mitre.oval:def:25259 unix
SUSE-SU-2014:0788-2 -- Security update for GnuTLS oval:org.mitre.oval:def:26205 unix
SUSE-SU-2014:0788-1 -- Security update for GnuTLS oval:org.mitre.oval:def:26125 unix
SUSE-SU-2014:0758-1 -- Security update for gnutls oval:org.mitre.oval:def:25314 unix
SUSE-SU-2014:0931-1 -- Security update for libtasn1 oval:org.mitre.oval:def:26142 unix
USN-2294-1 -- libtasn1-3, libtasn1-6 vulnerabilities oval:org.mitre.oval:def:26079 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-3467

# Product Type Vendor Product Version Update Edition Language
1 Application GNU Gnutls Version Details Vulnerabilities
2 Application GNU Libtasn1 3.0 Version Details Vulnerabilities
3 Application GNU Libtasn1 3.1 Version Details Vulnerabilities
4 Application GNU Libtasn1 3.2 Version Details Vulnerabilities
5 Application GNU Libtasn1 3.3 Version Details Vulnerabilities
6 Application GNU Libtasn1 3.4 Version Details Vulnerabilities
7 Application GNU Libtasn1 3.5 Version Details Vulnerabilities
8 OS Redhat Enterprise Linux 5 Version Details Vulnerabilities
9 OS Redhat Enterprise Linux 6 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
GNU Gnutls 1
GNU Libtasn1 6
Redhat Enterprise Linux 2

- References For CVE-2014-3467

http://rhn.redhat.com/errata/RHSA-2014-0594.html
REDHAT RHSA-2014:0594
http://linux.oracle.com/errata/ELSA-2014-0596.html CONFIRM
http://rhn.redhat.com/errata/RHSA-2014-0596.html
REDHAT RHSA-2014:0596
http://secunia.com/advisories/59057
SECUNIA 59057
http://secunia.com/advisories/59021
SECUNIA 59021
http://rhn.redhat.com/errata/RHSA-2014-0815.html
REDHAT RHSA-2014:0815
http://secunia.com/advisories/58614
SECUNIA 58614
http://secunia.com/advisories/58591
SECUNIA 58591
http://secunia.com/advisories/61888
SECUNIA 61888
http://secunia.com/advisories/60415
SECUNIA 60415
http://linux.oracle.com/errata/ELSA-2014-0594.html CONFIRM
https://bugzilla.redhat.com/show_bug.cgi?id=1102022 CONFIRM
http://www.debian.org/security/2014/dsa-3056
DEBIAN DSA-3056
http://lists.gnu.org/archive/html/help-libtasn1/2014-05/msg00006.html
MLIST [help-libtasn1] 20140525 GNU Libtasn1 3.6 released

- Metasploit Modules Related To CVE-2014-3467

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.